#app-results {
  .random {
    display: none;
    font-size: 0.8em;
    opacity: 0.5;
  }

  .empty {
    display: none;
    font-style: italic;
  }

   &[data-status="random"] {
     .random {
       display: block;
     }
   }

   &[data-status="empty"] {
     .empty {
       display: block;
     }
   }
}

ul.app-grid, #app-results ul {
  display: grid;
  max-width: 690px;
  margin: 6px auto 0;
  grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));
  @extend .smaller-font;

  list-style: none;
  padding: 0;

  li {
    display: contents;
    margin: 0;
    animation-name: fade-in;
    animation-duration: 200ms;

    a {
      display: block;
      text-align: center;
      border-radius: 11px;
      padding: 20px 10px;
      color: inherit;
      transition: 0.3s background-color;

      &:hover {
        background-color: var(--card-hover-background);
        color: inherit;
      }
    }

    .app-icon {
      filter: var(--icon-shadow);
      height: 80px;
      width: 80px;
    }

    .app-name {
      margin-top: 6px;
      hyphens: auto;
    }
  }
}

/* for app search results */
#app-results {
  min-height: 360px;
}

@keyframes fade-in {
  0%   {
    opacity: 0;
    transform: scale(0.95);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}
